%define qtversion qt3

Name: hpoj
Version: 0.91
Release: alt6.1

Summary: HP OfficeJet low level driver infrastructure
Summary(ru_RU.KOI8-R):    HP OfficeJet
License: GPL
Group: System/Servers
Url: http://hpoj.sourceforge.net

Packager: Dmitry Vukolov <dav@altlinux.ru>

Source: http://prdownloads.sourceforge.net/hpoj/%name-%version.tar.bz2
Source1: allxojpanels
Source2: %name.rc
Source10: xojpanel.16.png
Source11: xojpanel.32.png
Source12: xojpanel.48.png

Patch1: %name-0.91-alt-fhs-compliance.patch
Patch2: %name-0.91-alt-init-wrapper.patch
Patch3: %name-0.90-alt-ucdsnmp-compat.patch
Patch4: %name-0.91-mdk-kernel26.patch
Patch5: %name-0.91-alt-xojpanel-enc.patch

Requires: lib%name = %version-%release
Requires(post,preun): chkconfig

Conflicts: cups < 1.1.18-alt7
Provides: cups-backend-ptal
Obsoletes: cups-backend-ptal

BuildPreReq: lib%qtversion-devel
BuildPreReq: %__subst

# Automatically added by buildreq on Wed Dec 31 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libnet-snmp-devel libssl-devel libstdc++-devel libucd-snmp-devel libusb-devel

%description
This is an HP-sponsored project to add Linux support for most
Hewlett-Packard OfficeJet, PSC, and LaserJet all-in-one peripherals
(also known as Multi-Function Peripherals or MFPs), which can print,
scan, copy, and (on some models) fax.

It is work in progress, but printing and scanning are supported on
most models, when either connected to the parallel port or USB on a
Linux (Intel or Alpha) workstation, or to a LAN with selected HP
JetDirect print servers.

%description -l ru_RU.KOI8-R
  HP Linux-,  
  Hewlett-Packard,   OfficeJet,
PSC  LaserJet,   , , 
   .

 ݣ ,      
  , ޣ     USB
   Linux (Intel  Alpha),     
  - HP JetDirect.

%package -n lib%name
Summary: Dynamic libraries for the "hpoj" HP Officejet low level drivers
Summary(ru_RU.KOI8-R):     "hpoj"
Group: System/Libraries
Provides: libptal = %version
Obsoletes: libptal

%description -n lib%name
Libraries needed for the "hpoj" HP Officejet low level drivers.

%description -n lib%name -l ru_RU.KOI8-R
,    HP Officejet ( "hpoj").

%package -n lib%name-devel
Summary: Headers and links to compile against the "libptal" and "libhpojip" ("hpoj") libraries
Summary(ru_RU.KOI8-R):         "libptal"  "libhpojip" ("hpoj")
Group: Development/C
Requires: lib%name = %version-%release
Requires: libsane-%name = %version-%release
Provides: libptal-devel = %version
Obsoletes: libptal-devel

%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the "libptal" and "libhpojip" libraries.

%description -n lib%name-devel -l ru_RU.KOI8-R
  ,    , 
 "libptal"  "libhpojip".

%package -n libsane-%name
Summary: SANE backend for scanning on all hpoj-supported models
Summary(ru_RU.KOI8-R):  SANE    HP
Group: System/Libraries
Requires: %name = %version-%release
Requires: sane
Requires(post,preun): %__subst

%description -n libsane-%name
SANE backend which allows scanning on HP multi-function peripherals supported
by the hpoj project.

%description -n libsane-%name -l ru_RU.KOI8-R
 SANE  ,      HP
( "hpoj").

%package xojpanel
Summary: Graphical tool that displays the contents of the HP device's LCD panel
Summary(ru_RU.KOI8-R):   LCD-  HP
Group: Monitoring
Requires: %name = %version-%release
Requires: XFree86-utils
Provides: xojpanel = %version
Obsoletes: xojpanel

%description xojpanel
Graphical tool that displays the contents of the LCD panel of HP multi-function
devices and laser printers. Very useful to monitor the state (paper, ink,
running job) of a printer directly on one's workstation's screen.

%description xojpanel -l ru_RU.KOI8-R
 ,   LCD- 
 HP   .     
 (, ,  )    
.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
find -type f -print0 |
        xargs -r0 %__subst 's!doc/%name!doc/%name-%version!g'

%__autoconf
%configure --with-qt=%_libdir/%qtversion --with-snmp
#NO SMP
%make

%install
%define _makeinstall_target user_install
%makeinstall

# Install "xojpanel" wrapper script
%__install -p -m755 %SOURCE1 %buildroot%_bindir

# SANE backend
%__mkdir_p %buildroot%_libdir/sane
%__ln_s %_libdir/libsane-hpoj.so.1 %buildroot%_libdir/sane

# Backend filter for CUPS
%__mkdir_p %buildroot%_libdir/cups/backend
%__ln_s %_sbindir/ptal-cups %buildroot%_libdir/cups/backend/ptal

# Install startup script
%__install -pD -m755 %SOURCE2 %buildroot%_initdir/%name

%__mkdir_p %buildroot%_sysconfdir/ptal
%__mkdir_p %buildroot%_var/run/ptal-{mlcd,printd}

# Menu entry
%__install -pD -m644 %SOURCE10 %buildroot%_miconsdir/xojpanel.png
%__install -pD -m644 %SOURCE11 %buildroot%_iconsdir/xojpanel.png
%__install -pD -m644 %SOURCE12 %buildroot%_liconsdir/xojpanel.png

%__mkdir_p %buildroot%_menudir

cat <<EOF > %buildroot%_menudir/xojpanel
?package(%name-xojpanel): needs=X11 \
section=Applications/Monitoring \
title="X Office Jet Panel" \
longtitle="Displays the contents of the front panel LCD screen of your HP Office Jet in a window on your desktop" \
command="%_bindir/allxojpanels" \
icon="xojpanel.png"
EOF

%post
%post_service %name

%post xojpanel
%update_menus

%post -n lib%name
%post_ldconfig

%post -n libsane-%name
%post_ldconfig
DLLCONF=%_sysconfdir/sane.d/dll.conf
if ! %__grep -Eqs '^[[:space:]]*hpoj[[:space:]]*$' $DLLCONF; then
        if %__grep -Eqs '^[[:space:]]*#[[:space:]]*hpoj[[:space:]]*$' $DLLCONF; then
                %__subst 's|^[[:space:]]*#[[:space:]]*hpoj[[:space:]]*$|hpoj|' $DLLCONF
        else
                cat  >> $DLLCONF <<EOF
#
# HP OfficeJet backend homepage: http://hpoj.sf.net/
# Uncomment the following line if hpoj is installed:
hpoj
EOF
        fi 
fi

%preun
%preun_service %name

%preun -n libsane-%name
# Remove HPOJ driver from /etc/sane.d/dll.conf
if [ "$1" = 0 ]; then
        %__subst 's|^\([[:space:]]*hpoj[[:space:]]*\)$|#\1|' %_sysconfdir/sane.d/dll.conf
fi

%postun xojpanel
%clean_menus

%postun -n lib%name
%postun_ldconfig

%postun -n libsane-%name
%postun_ldconfig

%files
%dir %_sysconfdir/ptal
%dir %_var/run/ptal-mlcd
%dir %_var/run/ptal-printd
%_sbindir/*
%_bindir/ptal-*
%_bindir/hpojip-*
%config(noreplace) %_initdir/%name
%doc %_defaultdocdir/%name-%version
%_libdir/cups/backend/ptal

%files -n lib%name
%_libdir/libptal.so.*
%_libdir/libhpojip.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/libptal.so
%_libdir/libhpojip.so

%files -n libsane-%name
%_libdir/libsane-hpoj.so*
%_libdir/sane/libsane-hpoj.so*

%files xojpanel
%_bindir/xojpanel
%_bindir/allxojpanels 
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png
%_menudir/*

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.91-alt6.1
- Rebuilt with openssl-0.9.7d.

* Fri Apr 16 2004 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt6
- patched xojpanel to support different encodings used by device for LCD
  messages. Optional -devenc <encoding> command line parameter may be used to
  specify the correct device encoding
- Attention! This build of xojpanel treats messages as being ISO8859-5 by
  default to make life easier for Russian users

* Thu Mar 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt5
- updated Till Kamppeter's patch for kernel 2.6.x
- don't load RH compatibility interface within the initscript

* Fri Feb 20 2004 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt4
- added support for kernel 2.6.x

* Wed Dec 31 2003 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt3
- added a call to autoconf to fix building with libtool_1.5-1.5-alt11

* Fri Dec 19 2003 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt2
- corrected packaging of libsane-hpoj.so* files

* Fri Dec 12 2003 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt1
- version 0.91
- updated BuildRequires
- dropped the perl globbing patch
- piname and nodev patches superseded by init-wrapper.patch
- updated the hpoj initscript
- fhs-compliance patch: don't create obsolete /dev/* files
- misc spec file cleanups

* Fri Oct 31 2003 Konstantin Timoshenko <kt@altlinux.ru> 0.90-alt7
- rebuild with net-snmp

* Thu Jul 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt6
- don't use the %%make_build macro because of parallelizing problems
- explicitly specified to use qt3

* Tue Jul 01 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt5
- added the nodev patch to give feedback when no devices have been configured
- small improvements to the hpoj initscript

* Sat Jun 28 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt4
- allxojpanels updated to show a message if no device is found
- updated the hpoj initscript and the piname patch
- spec file cleanups

* Tue Apr 6 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt3
- use a wrapper script for ptal-init to display status on service startup and
  shutdown
- patch for better integration with the ptal-init wrapper
- "quietening" patch removed, the wrapper script does that job now

* Sun Mar 30 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt2
- included PTAL backend for CUPS
- PTAL backend for CUPS in the hpoj package conflicts with older cups package
  versions and replaces the cups-backend-ptal package
- fixed removing the SANE backend from %_sysconfdir/sane.d/dll.conf on package
  uninstallation
- %%__subst added to BuildRequires and Requires(post,preun)
- fixed glob with spaces to please perl-base (especially for DrakX)

* Thu Mar 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt1
- ptal and hpojip libraries moved to libhpoj package
- xojpanel package renamed to hpoj-xojpanel
- start xojpanel using the wrapper script with device auto-detection
- configure the SANE backend on package installation and removal
- use the RedHat "quietening" patch
- PTAL backend for CUPS temporary disabled

* Tue Jan 14 2003 Grigory Batalov <bga@altlinux.ru> 0.90-alt0.1bga
- 0.90
- Mandrake experience integrated

* Fri Dec 07 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8-alt1
- Initial release for ALT

* Wed Oct 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8-5mdk
- Replace ucd-snmp require by libsnmp0

* Mon Oct 22 2001 Till Kamppeter <till@mandrakesoft.com> 0.8-4mdk
- Added patch to generate directories for the HPOJ daemons in the DevFS
  file system

* Sat Oct 20 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-3mdk
- patch for PPC build

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.8-2mdk
- Rebuilt for libpng3.

* Wed Aug  8 2001 Till Kamppeter <till@mandrakesoft.com> 0.8-1mdk
- initial release
